Returns a single route. The legacy version of this endpoint can be found at samsara.com/api-legacy.
Rate limit: 25 requests/sec (learn more about rate limits here).
To use this endpoint, select Read Routes under the Driver Workflow category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request GET \
--url https://api.samsara.com/fleet/routes/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "342341",
"actualRouteEndTime": "2019-06-13T19:08:25Z",
"actualRouteStartTime": "2019-06-13T19:08:25Z",
"driver": {
"id": "45646",
"externalIds": {},
"name": "Driver Bob"
},
"externalIds": {},
"name": "Bid 123",
"notes": "These are my notes",
"orgLocalTimezone": "America/Los_Angeles",
"recurringRouteLiveSharingLinks": [
{
"liveSharingUrl": "https://cloud.samsara.com/o/123456/fleet/viewer/address/gEAitEnnOwcv92cuPzcU",
"name": "Name",
"expiresAtTime": "2020-01-27T07:06:25Z"
}
],
"scheduledRouteEndTime": "2019-06-13T19:08:25Z",
"scheduledRouteStartTime": "2019-06-13T19:08:25Z",
"settings": {
"routeCompletionCondition": "arriveLastStop",
"routeStartingCondition": "departFirstStop",
"sequencingMethod": "scheduledArrivalTime"
},
"stops": [
{
"id": "324231",
"name": "Stop #1",
"state": "scheduled",
"actualArrivalTime": "2006-01-02T15:04:05+07:00",
"actualDepartureTime": "2006-01-02T15:04:05+07:00",
"actualDistanceMeters": 5450,
"address": {
"id": "494123",
"name": "Company Office #1",
"externalIds": {}
},
"documents": [
{
"id": "494123",
"name": "Fuel Receipt Wichita"
}
],
"enRouteTime": "2006-01-02T15:04:05+07:00",
"eta": "2006-01-02T15:04:05+07:00",
"externalIds": {},
"forms": [
{
"id": "41234"
}
],
"issues": [
{
"id": "32812"
}
],
"liveSharingUrl": "https://cloud.samsara.com/fleet/viewer/job/fleet_viewer_token",
"locationLiveSharingLinks": [
{
"liveSharingUrl": "https://cloud.samsara.com/o/123456/fleet/viewer/address/gEAitEnnOwcv92cuPzcU",
"name": "Name",
"expiresAtTime": "2020-01-27T07:06:25Z"
}
],
"notes": "These are my notes",
"ontimeWindowAfterArrivalMs": 300000,
"ontimeWindowBeforeArrivalMs": 300000,
"plannedDistanceMeters": 5200,
"scheduledArrivalTime": "2019-06-13T19:08:25Z",
"scheduledDepartureTime": "2019-06-13T19:08:25Z",
"sequenceNumber": 10,
"singleUseLocation": {
"latitude": 123.456,
"longitude": 37.459,
"address": "1234 Main St, San Jose, CA",
"radiusMeters": 100
},
"skippedTime": "2006-01-02T15:04:05+07:00"
}
],
"tagIds": [
"123",
"321"
],
"vehicle": {
"externalIds": {},
"id": "494123",
"name": "Fleet Truck #1"
}
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the route. This can either be the Samsara-specified ID, or an external ID. External IDs are customer specified key-value pairs created in the POST or PATCH requests of this resource. To specify an external ID as part of a path parameter, use the following format: key:value. For example, payrollId:ABFS18600
A comma-separated list of additional fields to include in the response. Valid values: stops.actualDistanceMeters
OK response.
Show child attributes
curl --request GET \
--url https://api.samsara.com/fleet/routes/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "342341",
"actualRouteEndTime": "2019-06-13T19:08:25Z",
"actualRouteStartTime": "2019-06-13T19:08:25Z",
"driver": {
"id": "45646",
"externalIds": {},
"name": "Driver Bob"
},
"externalIds": {},
"name": "Bid 123",
"notes": "These are my notes",
"orgLocalTimezone": "America/Los_Angeles",
"recurringRouteLiveSharingLinks": [
{
"liveSharingUrl": "https://cloud.samsara.com/o/123456/fleet/viewer/address/gEAitEnnOwcv92cuPzcU",
"name": "Name",
"expiresAtTime": "2020-01-27T07:06:25Z"
}
],
"scheduledRouteEndTime": "2019-06-13T19:08:25Z",
"scheduledRouteStartTime": "2019-06-13T19:08:25Z",
"settings": {
"routeCompletionCondition": "arriveLastStop",
"routeStartingCondition": "departFirstStop",
"sequencingMethod": "scheduledArrivalTime"
},
"stops": [
{
"id": "324231",
"name": "Stop #1",
"state": "scheduled",
"actualArrivalTime": "2006-01-02T15:04:05+07:00",
"actualDepartureTime": "2006-01-02T15:04:05+07:00",
"actualDistanceMeters": 5450,
"address": {
"id": "494123",
"name": "Company Office #1",
"externalIds": {}
},
"documents": [
{
"id": "494123",
"name": "Fuel Receipt Wichita"
}
],
"enRouteTime": "2006-01-02T15:04:05+07:00",
"eta": "2006-01-02T15:04:05+07:00",
"externalIds": {},
"forms": [
{
"id": "41234"
}
],
"issues": [
{
"id": "32812"
}
],
"liveSharingUrl": "https://cloud.samsara.com/fleet/viewer/job/fleet_viewer_token",
"locationLiveSharingLinks": [
{
"liveSharingUrl": "https://cloud.samsara.com/o/123456/fleet/viewer/address/gEAitEnnOwcv92cuPzcU",
"name": "Name",
"expiresAtTime": "2020-01-27T07:06:25Z"
}
],
"notes": "These are my notes",
"ontimeWindowAfterArrivalMs": 300000,
"ontimeWindowBeforeArrivalMs": 300000,
"plannedDistanceMeters": 5200,
"scheduledArrivalTime": "2019-06-13T19:08:25Z",
"scheduledDepartureTime": "2019-06-13T19:08:25Z",
"sequenceNumber": 10,
"singleUseLocation": {
"latitude": 123.456,
"longitude": 37.459,
"address": "1234 Main St, San Jose, CA",
"radiusMeters": 100
},
"skippedTime": "2006-01-02T15:04:05+07:00"
}
],
"tagIds": [
"123",
"321"
],
"vehicle": {
"externalIds": {},
"id": "494123",
"name": "Fleet Truck #1"
}
}
}